aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Jonas Gunz <himself@jonasgunz.de> 2023-08-18 00:20:04 +0200
committerGravatar Jonas Gunz <himself@jonasgunz.de> 2023-08-18 00:20:04 +0200
commit782aaa658bb089b4ac7b7b3077d3a4c0678bf094 (patch)
treea8add0b26df1175f3c5845a4c54dca56c003a7f7
parent5185f69c411e1ce0765451c4e4e34b673c40104d (diff)
downloaddotfiles-782aaa658bb089b4ac7b7b3077d3a4c0678bf094.tar.gz
vim post install hook for default plugins
-rwxr-xr-xhooks/installed..vim.hook22
1 files changed, 22 insertions, 0 deletions
diff --git a/hooks/installed..vim.hook b/hooks/installed..vim.hook
new file mode 100755
index 0000000..243eac1
--- /dev/null
+++ b/hooks/installed..vim.hook
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+cd "$1" || exit 1
+mkdir -p bundle-active/ || exit 1
+cd bundle-active/ || exit 1
+
+DEFS=(
+ 'vim-pathogen'
+ 'vim-airline'
+ 'vim-airline-themes'
+ 'vim-fugitive'
+ 'rainbow'
+)
+
+pwd
+
+echo Activating default vim plugins: "${DEFS[@]}"
+
+for f in "${DEFS[@]}"; do
+ [ -L "$f" ] && continue
+ ln -s "../bundle/$f" "$f"
+done